Package Details: spaz-hib 1.605+h20120918-1

Git Clone URL: https://aur.archlinux.org/spaz-hib.git (read-only)
Package Base: spaz-hib
Description: Space Pirates and Zombies, a top-down space combat/strategy game (Humble Bundle version)
Upstream URL: http://spacepiratesandzombies.com/
Keywords: 2D action combat exploration game humble space strategy top-down
Licenses: custom:commercial
Submitter: smls
Maintainer: smls
Last Packager: smls
Votes: 14
Popularity: 0.000028
First Submitted: 2012-09-19 01:15
Last Updated: 2015-07-10 16:30

Dependencies (14)

Required by (0)

Sources (2)

Latest Comments

Chais commented on 2014-06-30 22:16

Installer filename changed. Modified the PKGBUILD a bit to better reflect the programmers' updating/naming habits.

# Maintainer: Sam S. <smls75@gmail.com>

pkgname=spaz-hib
pkgver=1.605
epoch=1385503815
pkgrel=1
pkgdesc='Space Pirates and Zombies, a top-down space combat/strategy game (Humble Bundle version)'
url='http://spacepiratesandzombies.com/'
arch=('i686' 'x86_64')
license=('custom:commercial')
if [ $CARCH == i686 ]; then
depends=('gcc-libs' 'libgl' 'sdl' 'openal' 'alsa-lib')
optdepends=('alsa-plugins: PulseAudio support'
'libpulse: PulseAudio support')
else
depends=('lib32-gcc-libs' 'lib32-libgl' 'lib32-sdl' 'lib32-openal' 'lib32-alsa-lib')
optdepends=('lib32-alsa-plugins: PulseAudio support'
'lib32-libpulse: PulseAudio support')
fi
options=('!strip' '!upx')
PKGEXT='.pkg.tar'
DLAGENTS+=('hib::/usr/bin/echo "Could not find %u. Manually download it to \"$(pwd)\", or set up a hib:// DLAGENT in /etc/makepkg.conf."; exit 1')

source=("hib://spaz-linux-${epoch}.bin"
'spaz-hib.desktop')
sha512sums=('da441c18536d019b3770a7277132f7a7153938b69e3e8b721d2368fe4ba10c34006184a04b18ca4f79ba4c8443e60c4b0761434d3e1df9961eb27e7d2875ddd8'
'3f9c79c1a1d5aceb8dfd0bd051d3ef084f669bbaaa89fb625d670650f9ad37e1baf66302d83bf7035abaae0ff5279dd5dbf42e5eb2ac77c91b50dcaac7294b02')

package() {
cd $srcdir

# Remove bundled libraries (to force usage of system libs instead)
rm -f data/libSDL-1.2.so.0
rm -f data/libopenal.so

# Install game files
install -d "${pkgdir}/opt/SPAZ"
cp -r data/* "${pkgdir}/opt/SPAZ/"

# Install desktop entry
install -Dm644 "$pkgname.desktop" \
"$pkgdir/usr/share/applications/$pkgname.desktop"

# Install icon
install -Dm644 "data/SPAZ.png" "$pkgdir/usr/share/pixmaps/spaz.png"

# Create launcher script
install -d "$pkgdir/usr/bin"
echo -e "#!/bin/sh\ncd /opt/SPAZ && ./SPAZ" > "$pkgdir/usr/bin/spaz"
chmod 755 "$pkgdir/usr/bin/spaz"
}

smls commented on 2012-12-20 18:57

Fixed version numbering.

tsester commented on 2012-09-28 14:41

packer

smls commented on 2012-09-28 11:56

@tsester: Which AUR helper did you use? It really shouldn't cause a dependency error to replace a package with one that provides it.

tsester commented on 2012-09-28 10:05

i uninstalled shatter-hib that needed lib32-libgl to install lib32-nvidia-utils and shatter again

tsester commented on 2012-09-28 10:04

well there was a dependency error

smls commented on 2012-09-28 09:45

lib32-nvidia-utils *provides* lib32-libgl, so you shouldn't have to uninstall shatter-hib to install it.

tsester commented on 2012-09-27 23:01

i removed shatter-hib which needs lib32-libgl,
i installed lib32-nvidia-utils
=
it plays with text
=
( http://www.spacepiratesandzombies.com/forums/viewtopic.php?f=15&t=3463&p=27295&hilit=no+text+linux#p27295 )

tsester commented on 2012-09-27 23:01

i removed shatter-hib, sp which needs lib32-libgl,
i installed lib32-nvidia-utils
=
it plays with text
=
( http://www.spacepiratesandzombies.com/forums/viewtopic.php?f=15&t=3463&p=27295&hilit=no+text+linux#p27295 )

WienerWuerstel commented on 2012-09-27 08:45

I also don't have any text in spaz :(

All comments